List organizations
GET
/api/server/v1/organizations
const url = 'https://api.toriiauth.eu/api/server/v1/organizations?name=acme&limit=50&cursor=01931a73-8b00-7000-8000-000000000000';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.toriiauth.eu/api/server/v1/organizations?name=acme&limit=50&cursor=01931a73-8b00-7000-8000-000000000000' \ --header 'Authorization: Bearer <token>'Cursor-paginated page of the environment’s organizations, with both metadata bags. Optional name filter is a case-insensitive substring match.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”name
string
Case-insensitive substring filter on the organization name.
Example
acmelimit
integer format: int32
Maximum number of items in the returned page (default 20; values outside 1-100 are clamped).
Example
50cursor
string format: uuid
Opaque cursor returned by the previous page’s nextCursor. Omit to fetch the first page.
Example
01931a73-8b00-7000-8000-000000000000Responses
Section titled “Responses”Page of organizations.
Media typeapplication/json
A single page of results in a cursor-paginated list. Pass nextCursor as the cursor query parameter to fetch the following page.
object
items
required
Items in this page, in stable order.
Array<object>
object
id
required
string format: uuid
name
required
string
slug
string | null
roleSetId
string | null format: uuid
publicMetadata
required
object
key
additional properties
any
privateMetadata
required
object
key
additional properties
any
createdAt
required
string format: date-time
nextCursor
Cursor to pass to fetch the next page. Null when this is the last page.
string | null format: uuid
hasMore
required
True if more pages are available (equivalent to nextCursor != null).
boolean
Example
{ "nextCursor": "01931a73-8b00-7000-8000-000000000000", "hasMore": true}Missing or invalid secret key.
Media typeapplication/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com", "properties": { "additionalProperty": "example" }}